Read file stream asynchronously

- « swoole_async_dns_lookup

- swoole_async_readfile »

- PHP Manual
- Swoole Functions
- Read file stream asynchronously

# swoole_async_read

(PECL swoole >= 1.9.0)

swoole_async_read — Read file stream asynchronously

### Description

swoole_async_read(
string `$filename`,
callable `$callback`,
int `$chunk_size` = 65536,
int `$offset` = 0
): bool

### Parameters

`filename`

  The filename of the file being read.

`callback`
  callback(string `$filename`, string `$content`): mixed
  `filename`

    The name of the file.

  `content`

    The content readed from the file stream.

`chunk_size`

  The chunk length.

`offset`

  The offset.

### Return Values

Whether the read is succeed.